Name:		aqsis
Version:	1.6.0
Release:	5%{?dist}
Summary:	Open source 3D rendering solution adhering to the RenderMan standard
Group:		Applications/Multimedia

License:	GPLv2+ and LGPLv2+
URL:		http://www.aqsis.org
Source0:	http://downloads.sourceforge.net/aqsis/aqsis-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils

BuildRequires:  bison >= 1.35.0
BuildRequires:  boost-devel >= 1.34.0
BuildRequires:  cmake >= 2.6.3
BuildRequires:  flex >= 2.5.4
BuildRequires:  fltk-devel >= 1.1.0, fltk-fluid
BuildRequires:  libjpeg-devel >= 6
BuildRequires:  libtiff-devel >= 3.7.1
BuildRequires:  libxslt
BuildRequires:  tinyxml-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  zlib-devel >= 1.1.4

Requires: aqsis-core = %{version}-%{release}
Requires: aqsis-data = %{version}-%{release}


%description
Aqsis is a cross-platform photorealistic 3D rendering solution,
adhering to the RenderMan interface standard defined by Pixar
Animation Studios.

This package contains graphical utilities and desktop integration.


%package core
Requires:	%{name}-libs = %{version}-%{release}
Summary:	Command-line tools for Aqsis Renderer
Group:		Applications/Multimedia

%description core
Aqsis is a cross-platform photorealistic 3D rendering solution,
adhering to the RenderMan interface standard defined by Pixar
Animation Studios.

This package contains a command-line renderer, a shader compiler
for shaders written using the RenderMan shading language, a texture
pre-processor for optimizing textures and a RIB processor.


%package libs
Summary:        Library files for Aqsis Renderer
Group:          System Environment/Libraries

%description libs
Aqsis is a cross-platform photorealistic 3D rendering solution,
adhering to the RenderMan interface standard defined by Pixar
Animation Studios.

This package contains the shared libraries for Aqsis Renderer.


%package data
Requires:	%{name} = %{version}-%{release}
Summary:	Example content for Aqsis Renderer
Group:		Applications/Multimedia
BuildArch:      noarch

%description data
Aqsis is a cross-platform photorealistic 3D rendering solution,
adhering to the RenderMan interface standard defined by Pixar
Animation Studios.

This package contains example content, including additional
scenes, procedurals and shaders.


%package devel
Requires:	%{name} = %{version}-%{release}
Requires:	aqsis-core = %{version}-%{release}
Requires:	aqsis-libs = %{version}-%{release}
Requires:	aqsis-data = %{version}-%{release}
Summary:	Development files for Aqsis Renderer
Group:		Development/Libraries

%description devel
Aqsis is a cross-platform photorealistic 3D rendering solution,
adhering to the RenderMan interface standard defined by Pixar
Animation Studios.

This package contains various developer libraries to enable
integration with third-party applications.


%prep
%setup -q


%build
## Do not Enable pdiff=yes Because it will conflict with Printdiff :
## /usr/bin/pdiff  from package	a2ps
rm -rf build
mkdir -p build
pushd build
%cmake \
  -DSYSCONFDIR:STRING=%{_sysconfdir}/%{name} \
  -DAQSIS_MAIN_CONFIG_NAME=aqsisrc-%{_lib} \
  -DLIBDIR=%{_lib} \
  -DPLUGINDIR=%{_lib}/%{name} \
  -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
  -DCMAKE_SKIP_RPATH:BOOL=ON \
  -DAQSIS_USE_RPATH:BOOL=OFF \
  -DAQSIS_BOOST_FILESYSTEM_LIBRARY_NAME=boost_filesystem-mt \
  -DAQSIS_BOOST_REGEX_LIBRARY_NAME=boost_regex-mt \
  -DAQSIS_BOOST_THREAD_LIBRARY_NAME=boost_thread-mt \
  -DAQSIS_BOOST_WAVE_LIBRARY_NAME=boost_wave-mt \
  -DAQSIS_USE_EXTERNAL_TINYXML:BOOL=ON ..

make VERBOSE=1 %{?_smp_mflags}

popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

# Move aqsisrc
mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/aqsisrc \
  $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/aqsisrc-%{_lib}

desktop-file-install --vendor "" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/aqsis.desktop

desktop-file-install --vendor "" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/aqsl.desktop

desktop-file-install --vendor "" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/aqsltell.desktop

desktop-file-install --vendor "" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/eqsl.desktop

desktop-file-install --vendor "" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/piqsl.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
update-mime-database %{_datadir}/mime &> /dev/null
update-desktop-database &> /dev/null || :

%post libs -p /sbin/ldconfig

%postun
update-mime-database %{_datadir}/mime &> /dev/null
update-desktop-database &> /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/eqsl
%{_bindir}/piqsl
# Do not use the name pdiff for PerceptualDiff
# It is used by PrintDiff in a2ps
#{_bindir}/pdiff
%{_datadir}/applications/aqsis.desktop
%{_datadir}/applications/aqsl.desktop
%{_datadir}/applications/aqsltell.desktop
%{_datadir}/applications/eqsl.desktop
%{_datadir}/applications/piqsl.desktop
%{_datadir}/pixmaps/aqsis.png
%{_datadir}/icons/hicolor/192x192/mimetypes/aqsis-doc.png
%{_datadir}/mime/packages/aqsis.xml


%files core
%defattr(-,root,root,-)
%{_bindir}/aqsis
%{_bindir}/aqsl
%{_bindir}/aqsltell
%{_bindir}/miqser
%{_bindir}/teqser


%files libs
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}
## Do not use noreplace with aqsis release
## This may definitly change in future releases.
%config %{_sysconfdir}/%{name}/aqsisrc-%{_lib}
%{_libdir}/%{name}/
# Licensed under GPLv2+
%{_libdir}/libaqsis_*.so.*
# Licensed under LGPLv2+
#{_libdir}/libaqsis_ri2rib.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
# Licensed under GPLv2+
%{_libdir}/libaqsis_*.so
# Licensed under LGPLv2+
#{_libdir}/libaqsis_ri2rib.so


%files data
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/plugins/
%{_datadir}/%{name}/scripts/
%{_datadir}/%{name}/shaders/



%changelog
* Thu Jul 29 2010  Bill Nottingham <notting@redhat.com> - 1.6.0-5
- Rebuild for boost

* Sat Jan 16 2010  Nicolas Chauvet <kwizart@fedoraproject.org> - 1.6.0-4
- Rebuild for boost

* Mon Oct 19 2009  kwizart < kwizart at gmail.com > - 1.6.0-3
- Minor updates to SPEC file by Leon Tony Atkinson - <latkinson@aqsis.org> 

* Sat Oct 17 2009 kwizart < kwizart at gmail.com > - 1.6.0-1
- Update to 1.6.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 12 2009 kwizart < kwizart at gmail.com > - 1.4.2-5
- Rebuild for boost on F-12

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 kwizart < kwizart at gmail.com > - 1.4.2-3
- Fix and Rebuild for gcc44

* Mon Feb  3 2009 kwizart < kwizart at gmail.com > - 1.4.2-2
- Backport piqsl problem with libtiff
- Fix unappropriate use of xdg-tools #481352

* Tue Jan 27 2009 kwizart < kwizart at gmail.com > - 1.4.2-1
- Update to 1.4.2

* Fri Dec 19 2008 kwizart < kwizart at gmail.com > - 1.4.1-6
- Improve -core summary - #477134

* Thu Dec 18 2008 kwizart < kwizart at gmail.com > - 1.4.1-5
- Rebuild for boost

* Tue Oct 28 2008 kwizart < kwizart at gmail.com > - 1.4.1-4
- Add Requires(post/preun): xdg-utils

* Wed Oct  8 2008 kwizart < kwizart at gmail.com > - 1.4.1-3
- backport gcc43 fix for bake.cpp

* Wed Oct  8 2008 kwizart < kwizart at gmail.com > - 1.4.1-2
- backport patch for intsize problem

* Mon Sep 29 2008 kwizart < kwizart at gmail.com > - 1.4.1-1
- Update to 1.4.1

* Fri Jul 25 2008 kwizart < kwizart at gmail.com > - 1.4.0-1
- Update to 1.4.0

* Mon Jan  7 2008 kwizart < kwizart at gmail.com > - 1.2.0-7
- Fix gcc43

* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 1.2.0-6
- Rebuild

* Tue Aug 14 2007 kwizart < kwizart at gmail.com > - 1.2.0-5
- Update the license field to GPLv2

* Sun Mar  4 2007 kwizart < kwizart at gmail.com > - 1.2.0-4
- Fix ownership for /etc/aqsis directory

* Sun Mar  4 2007 kwizart < kwizart at gmail.com > - 1.2.0-3
- Make comments

* Fri Mar  2 2007 kwizart < kwizart at gmail.com > - 1.2.0-2
- Disable pdiff (PerceptualDiff) to prevent conflicts with a2ps (PrintDiff)

* Wed Feb 28 2007 kwizart < kwizart at gmail.com > - 1.2.0-1
- Update to final 1.2.0
- fix some libdir
- change aqsis config file to sysconfdir/aqsis
- Enable x86_64 build 
- Enable third-party pdiff utility

* Fri Jan 19 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.8.svn738
- Updated to the latest SVN

* Thu Jan 18 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.7.alpha2
- added modifications by kwizart < kwizart at gmail.com >
- fix x86_64 build (experimental)
- fix wrong-end of line encoding in debug
- fix script-without-shebang in debug

* Thu Jan 18 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.2.alpha2
- Excluded x86_64 for now

* Mon Jan 15 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.1.alpha2
- Moved mpanalyse.py to shared

* Sat Jan 13 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.4.alpha1
- Shared libs mod

* Sat Dec 23 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.3.alpha1
- More tuning to meet Fedora-Extras requirements

* Thu Dec 21 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.2.alpha1
- Some cleanup for a Fedora-only spec

* Thu Dec 14 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.1.alpha1
- More clean-up/optimisation..

* Mon Dec 11 2006 Leon Tony Atkinson <latkinson@aqsis.org> 1.1.0-3
- Added Fedora (Core 5 tested) and OpenSUSE (10.2 tested) support to SPEC file.
- Cleaned-up/optimised SPEC file.

* Fri Dec 09 2006 Leon Tony Atkinson <latkinson@aqsis.org> 1.1.0-2
- Added Mandriva (2006 tested) support to SPEC file.

* Wed Nov 22 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.1.0-1
- Initial RPM/SPEC.
